package com.ahai.vgk_game_services

import java.util.HashMap
import java.util.Map

class PluginResult {
    var isSuccess: Boolean
    var exception: String? = null
    private var data: Object? = null
    fun setData(data: Object?): PluginResult {
        this.data = data
        return this
    }

    fun toMap(): Map<String, Object> {
        val map: Map<String, Object> = HashMap()
        map.put("success", isSuccess)
        map.put("data", data)
        map.put("exception", exception)
        return map
    }

    constructor() {
        isSuccess = true
    }

    constructor(exception: String?) {
        isSuccess = false
        this.exception = exception
    }

    fun getData(): Object? {
        return data
    }
}